Package

## Class NativeAdEventListener

- All Implemented Interfaces:

      public abstract class NativeAdEventListener
      extends AdEventListener<InMobiNative>

  A listener for receiving notifications during the lifecycle of a Native ad.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAdFullScreenDismissed(@NonNull() InMobiNative ad)` |
    `void` | `onAdFullScreenWillDisplay(@NonNull() InMobiNative ad)` | Called to notify that the ad will open an overlay that covers the screen.
    `void` | `onAdFullScreenDisplayed(@NonNull() InMobiNative ad)` | Called to notify that the ad opened an overlay that covers the screen.
    `void` | `onUserWillLeaveApplication(@NonNull() InMobiNative ad)` | Called to notify that the user is about to leave the application as a result of interacting with it.
    `void` | `onAdImpressed(@NonNull() InMobiNative ad)` | Called to notify impression has been recorded for this ad.
    `void` | `onAdClicked(@NonNull() InMobiNative ad)` | Called to notify ad was clicked.
    `void` | `onAdStatusChanged(@NonNull() InMobiNative nativeAd)` | Called to notify that the ad status has changed.

    - ### Methods inherited from class com.inmobi.ads.listeners.AdEventListener

      `onAdClicked, onAdFetchSuccessful, onAdImpression, onAdLoadFailed, onAdLoadSucceeded, onRequestPayloadCreated, onRequestPayloadCreationFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### onAdFullScreenDismissed

           void onAdFullScreenDismissed(@NonNull() InMobiNative ad)

      Parameters:
        `ad` - Represents the InMobiNative ad whose fullscreen was dismissed

    - #### onAdFullScreenWillDisplay

           void onAdFullScreenWillDisplay(@NonNull() InMobiNative ad)

      Called to notify that the ad will open an overlay that covers the screen.

      Parameters:
        `ad` - Represents the InMobiNative ad which will go fullscreen

    - #### onAdFullScreenDisplayed

           void onAdFullScreenDisplayed(@NonNull() InMobiNative ad)

      Called to notify that the ad opened an overlay that covers the screen.

      Parameters:
        `ad` - Represents the InMobiNative ad whose fullscreen will be displayed

    - #### onUserWillLeaveApplication

           void onUserWillLeaveApplication(@NonNull() InMobiNative ad)

      Called to notify that the user is about to leave the application as a result of interacting with it.

      Parameters:
        `ad` - Represents the InMobiNative ad

    - #### onAdImpressed

          @Deprecated() void onAdImpressed(@NonNull() InMobiNative ad)

      Called to notify impression has been recorded for this ad. Note:Override this method to notify viewable impression to the Mediation Adapter.

      Parameters:
        `ad` - Represents the InMobiNative ad for which impression is recorded.

    - #### onAdClicked

           void onAdClicked(@NonNull() InMobiNative ad)

      Called to notify ad was clicked. Note:Override this method to notify click to the Mediation Adapter.

      Parameters:
        `ad` - Represents the InMobiNative ad which was clicked

    - #### onAdStatusChanged

           void onAdStatusChanged(@NonNull() InMobiNative nativeAd)

      Called to notify that the ad status has changed.

      Parameters:
        `nativeAd` - Represents the InMobiNative ad